Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class ResourceType

`java.lang.Object
oracle.ovs.api.datamodel.ResourceType`

All Implemented Interfaces:
  java.io.Serializable

      public class ResourceType

extends java.lang.Object
implements java.io.Serializable

resource type definition

See Also:
  Serialized Form

Field Summary
`static ResourceType` | `ISO_RESOURCE`
`static int` | `ISO_RESOURCE_CODE`
`static ResourceType` | `OTHER_RESOURCE`
`static int` | `OTHER_RESOURCE_CODE`
`static ResourceType` | `SHARED_DISK`
`static int` | `SHARED_DISK_CODE`
`static ResourceType` | `TEMPLATE`
`static int` | `TEMPLATE_CODE`
`static ResourceType` | `VIRTUAL_MACHINE`
`static int` | `VIRTUAL_MACHINE_CODE`

Constructor Summary
`ResourceType()`

Method Summary
`boolean` | `equals(ResourceType oType)`
`int` | `getCode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEMPLATE_CODE

    public static final int TEMPLATE_CODE

  See Also:
    Constant Field Values

### VIRTUAL_MACHINE_CODE

    public static final int VIRTUAL_MACHINE_CODE

  See Also:
    Constant Field Values

### ISO_RESOURCE_CODE

    public static final int ISO_RESOURCE_CODE

  See Also:
    Constant Field Values

### SHARED_DISK_CODE

    public static final int SHARED_DISK_CODE

  See Also:
    Constant Field Values

### OTHER_RESOURCE_CODE

    public static final int OTHER_RESOURCE_CODE

  See Also:
    Constant Field Values

### TEMPLATE

    public static final ResourceType TEMPLATE

### VIRTUAL_MACHINE

    public static final ResourceType VIRTUAL_MACHINE

### ISO_RESOURCE

    public static final ResourceType ISO_RESOURCE

### SHARED_DISK

    public static final ResourceType SHARED_DISK

### OTHER_RESOURCE

    public static final ResourceType OTHER_RESOURCE

Constructor Detail

### ResourceType

    public ResourceType()

Method Detail

### getCode

    public int getCode()

### equals

    public boolean equals(ResourceType oType)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.